# Create a Transaction

## Create a transaction

> Create a transaction.

```json
{"openapi":"3.0.2","info":{"title":"Vault API","version":"80fbdca"},"tags":[{"description":"When fetching or creating transactions, the `amount`, `fees` and `max_fees` values are always expressed\nin the lowest available unit, also known as the **base unit**: satoshi for Bitcoin, wei for Ethereum,\nmutez for Tezos, etc.\nYou can inspect the units available via a call to `GET /accounts/<id>/currency`.\n\n> ℹ️ Token transfer transactions on Ethereum, Polygon, or other EVM networks: the `amount`\nvalue is expressed in the ERC-20 base unit, but the `fees` and `max_fees` values are expressed\nin the network currency used to pay for the transaction fee (ETH for Ethereum, MATIC for Polygon, etc,).","name":"Transactions"}],"security":[{"Ledger_API_Key":[],"Ledger_API_User":[]},{"Ledger_API_Key":[],"Ledger_API_User":[],"Ledger_Store_Auth_Token":[]},{"Ledger_API_User":[]},{"Ledger_API_User":[],"Ledger_Store_Auth_Token":[]}],"components":{"securitySchemes":{"Ledger_API_Key":{"description":"If you've set up your API Key when initializing your LAM, you'll need to include it as a header along with the api user header. For more details, [see step 5 of the get started documentation](https://help.vault.ledger.com/Content/api/api_getstarted.html).","in":"header","name":"X-Ledger-API-Key","type":"apiKey"},"Ledger_API_User":{"description":"(**required**) Username of a registered API User","in":"header","name":"X-Ledger-API-User","type":"apiKey"}},"schemas":{"TransactionCreationDataLAM":{"properties":{"account_id":{"default":null,"description":"The account's id","nullable":true,"type":"integer"},"account_name":{"description":"The account's name.","type":"string"},"amount":{"default":null,"description":"The amount to be sent, in the currency's lowest unit. For Smart Contract interaction, use \"0\" instead of null","nullable":true,"pattern":"^[0-9]*(\\.[0-9]+)?$","type":"string"},"coin_fields":{"default":null,"description":"coin specific data","nullable":true,"oneOf":[{"$ref":"#/components/schemas/BitcoinFieldsLAM"},{"$ref":"#/components/schemas/TezosFieldsLAM"},{"$ref":"#/components/schemas/EthereumAndEvmFieldsLAM"},{"$ref":"#/components/schemas/RippleFieldsLAM"},{"$ref":"#/components/schemas/StellarFieldsLAM"},{"$ref":"#/components/schemas/SolanaStakeCreateAndDelegateFieldsLAM"},{"$ref":"#/components/schemas/SolanaStakeActionFieldsLAM"},{"$ref":"#/components/schemas/SolanaStakeMergeFieldsLAM"},{"$ref":"#/components/schemas/CardanoFieldsLAM"},{"$ref":"#/components/schemas/PolkadotFieldsLAM"}]},"max_fees":{"description":"Max fees represent the highest possible fee amount you will pay to broadcast this transaction. The final fees, calculated once the transaction is approved by the last Operator, might be lower, but will never exceed that amount. We recommend estimating max fees through our fee estimation endpoint prior to creating the transaction request. See https://help.vault.ledger.com/developer-portal/content/transactions/tx/ for details.For Solana and Polkadot, `max_fees` field must be ignored.","pattern":"^[0-9]*(\\.[0-9]+)?$","type":"string"},"note":{"allOf":[{"$ref":"#/components/schemas/TransactionNoteLiteLAM"}],"default":null,"description":"A title and comments for the transaction.","nullable":true},"recipient":{"description":"The recipient's address.","type":"string"},"speed":{"description":"The transaction's processing speed.","enum":["CUSTOM","FAST","NORMAL","SLOW"],"type":"string"}},"required":["account_name","max_fees","recipient","speed"],"type":"object"},"BitcoinFieldsLAM":{"properties":{"utxo_picking_strategy":{"description":"When creating a Bitcoin transaction you can select which UTXOs\n        should be used among these three options:\n\n * Merge outputs: To select UTXOs which have the lowest amounts. This strategy is\nused by default.\n * Optimize size: To select UTXOs which have the highest amounts.\n * Deep outputs first: To select UTXOs which have the highest amount of\nconfirmations on the blockchain.\n","enum":["DEEP_OUTPUTS_FIRST","MERGE_OUTPUTS","OPTIMIZE_SIZE"],"type":"string"}},"required":["utxo_picking_strategy"],"type":"object"},"TezosFieldsLAM":{"properties":{"gas_limit":{"default":null,"nullable":true,"pattern":"^[0-9]*(\\.[0-9]+)?$","type":"string"},"storage_limit":{"default":null,"nullable":true,"pattern":"^[0-9]*(\\.[0-9]+)?$","type":"string"},"type":{"enum":["DELEGATE","SEND","UNDELEGATE"],"type":"string"}},"required":["type"],"type":"object"},"EthereumAndEvmFieldsLAM":{"properties":{"contract_deployment":{"allOf":[{"$ref":"#/components/schemas/EthereumContractDeploymentFieldsLAM"}],"default":null,"description":"For Ethereum, only specify a bytecode when deployting a smart contract.","nullable":true},"contract_interaction":{"allOf":[{"$ref":"#/components/schemas/EthereumSmartContractFieldsLAM"}],"default":null,"description":"For Ethereum, only specify a payload when interacting with a smart contract.","nullable":true},"gas_limit":{"default":null,"description":"For Ethereum, specify a gas_limit, ignored if speed is not CUSTOM. The unit is wei. Decimal values are round down to integer","minimum":1,"nullable":true,"pattern":"^[0-9]*(\\.[0-9]+)?$","type":"string"},"gas_price":{"default":null,"description":"For Ethereum, specify a gas_price, ignored if speed is not CUSTOM. The unit is wei. Decimal values are round down to integer","minimum":1,"nullable":true,"pattern":"^[0-9]*(\\.[0-9]+)?$","type":"string"}},"type":"object"},"EthereumContractDeploymentFieldsLAM":{"properties":{"creation_bytecode":{"default":null,"description":"The contract compiled bytecode","nullable":true,"type":"string"}},"type":"object"},"EthereumSmartContractFieldsLAM":{"properties":{"abi":{"default":null,"description":"The array of function, event, and error descriptions in JSON format, representing the contract’s interface according to the ABI Specification. This field will be ignored if contract_data is not null","items":{"nullable":true},"nullable":true,"type":"array"},"contract_data":{"default":null,"description":"The data to provide to the smart contract, encoded in hex format according to the ABI specification","nullable":true,"type":"string"},"function_arguments":{"additionalProperties":{"nullable":true},"default":null,"description":"The JSON object with the arguments for the smart contract function execution, according to the provided contract_abi.","nullable":true,"type":"object"},"function_name":{"default":null,"description":"The name of the smart contract function to execute, as specified in the provided contract_abi.","nullable":true,"type":"string"}},"type":"object"},"RippleFieldsLAM":{"properties":{"destination_tag":{"default":null,"description":"The corresponding destination tag (XRP only).","nullable":true,"type":"integer"}},"type":"object"},"StellarFieldsLAM":{"properties":{"memo":{"description":"A valid stellar memo (['MEMO_HASH', 'MEMO_ID', 'MEMO_RETURN', 'MEMO_TEXT'])","oneOf":[{"$ref":"#/components/schemas/StellarMemoHashLAM"},{"$ref":"#/components/schemas/StellarMemoIdLAM"},{"$ref":"#/components/schemas/StellarMemoReturnLAM"},{"$ref":"#/components/schemas/StellarMemoTextLAM"}]}},"required":["memo"],"type":"object"},"StellarMemoHashLAM":{"properties":{"MEMO_HASH":{"description":"Transaction Hash Memo (64 bytes hexadecimal string)","maxLength":64,"minLength":64,"type":"string"}},"required":["MEMO_HASH"],"type":"object"},"StellarMemoIdLAM":{"properties":{"MEMO_ID":{"description":"Id Memo (unsigned 64 bits integer)","maximum":18446744073709552000,"minimum":0,"type":"integer"}},"required":["MEMO_ID"],"type":"object"},"StellarMemoReturnLAM":{"properties":{"MEMO_RETURN":{"description":"A 64 bytes hexadecimal string intended to be interpreted as the hash of the transaction the sender is refunding.","maxLength":64,"minLength":64,"type":"string"}},"required":["MEMO_RETURN"],"type":"object"},"StellarMemoTextLAM":{"properties":{"MEMO_TEXT":{"description":"Text Memo (at most a 28 bytes string)","maxLength":28,"minLength":0,"type":"string"}},"required":["MEMO_TEXT"],"type":"object"},"SolanaStakeCreateAndDelegateFieldsLAM":{"properties":{"type":{"enum":["SEND","STAKE_CREATE_DELEGATE","STAKE_DEACTIVATE","STAKE_DELEGATE","STAKE_MERGE","STAKE_SPLIT","STAKE_SPLIT_DEACTIVATE","STAKE_WITHDRAW"],"type":"string"}},"required":["type"],"type":"object"},"SolanaStakeActionFieldsLAM":{"properties":{"stake_account":{"type":"string"},"type":{"enum":["SEND","STAKE_CREATE_DELEGATE","STAKE_DEACTIVATE","STAKE_DELEGATE","STAKE_MERGE","STAKE_SPLIT","STAKE_SPLIT_DEACTIVATE","STAKE_WITHDRAW"],"type":"string"}},"required":["stake_account","type"],"type":"object"},"SolanaStakeMergeFieldsLAM":{"properties":{"merge_dst_account":{"type":"string"},"merge_src_account":{"type":"string"},"type":{"enum":["SEND","STAKE_CREATE_DELEGATE","STAKE_DEACTIVATE","STAKE_DELEGATE","STAKE_MERGE","STAKE_SPLIT","STAKE_SPLIT_DEACTIVATE","STAKE_WITHDRAW"],"type":"string"}},"required":["merge_dst_account","merge_src_account","type"],"type":"object"},"CardanoFieldsLAM":{"properties":{"type":{"enum":["SEND"],"type":"string"}},"required":["type"],"type":"object"},"PolkadotFieldsLAM":{"properties":{"is_proxy":{"type":"boolean"},"payee":{"default":null,"enum":[null,"Staked","Stash"],"nullable":true,"type":"string"},"type":{"enum":["BOND","BONDEXTRA","CHILL","REBOND","SEND","SETPAYEE","UNBOND","WITHDRAWUNBONDED"],"type":"string"}},"required":["is_proxy","type"],"type":"object"},"TransactionNoteLiteLAM":{"properties":{"content":{"type":"string"},"title":{"type":"string"}},"required":["content","title"],"type":"object"},"Transaction":{"additionalProperties":false,"properties":{"account_id":{"type":"integer"},"account_index":{"type":"integer"},"amount":{"default":null,"description":"the transaction amount, in base units","nullable":true,"pattern":"^[0-9]*(\\.[0-9]+)?$","type":"string"},"block":{"allOf":[{"$ref":"#/components/schemas/Block"}],"default":null,"description":"Only available once the transaction has been submitted to the blockchain","nullable":true},"broadcast_on":{"default":null,"format":"date-time","nullable":true,"type":"string"},"coin_fields":{"default":null,"nullable":true,"oneOf":[{"$ref":"#/components/schemas/BitcoinFields"},{"$ref":"#/components/schemas/CardanoCoinFields"},{"$ref":"#/components/schemas/EthereumAndEvmFieldsLegacy"},{"$ref":"#/components/schemas/PolkadotFields1"},{"$ref":"#/components/schemas/RippleFields"},{"$ref":"#/components/schemas/SolanaFields"},{"$ref":"#/components/schemas/StellarFields"},{"$ref":"#/components/schemas/TezosFields1"},{"$ref":"#/components/schemas/EthereumAndEvmFieldsEip1559"},{"$ref":"#/components/schemas/DefaultFields"}]},"compliance":{"allOf":[{"$ref":"#/components/schemas/TransactionCompliance"}],"default":null,"description":"Compliance registration ids, risk scoring and details per provider","nullable":true},"confirmations":{"type":"integer"},"created_by":{"type":"integer"},"created_on":{"format":"date-time","type":"string"},"currency":{"enum":["Dollar","Euro","arbitrum","arbitrum_goerli","avalanche_c_chain","avalanche_c_chain_fuji","base","base_goerli","bitcoin","bitcoin_cash","bitcoin_gold","bitcoin_testnet","bsc","cardano","celo","celo_alfajores","cosmos","cronos","cronos_testnet","dash","digibyte","dogecoin","ethereum","ethereum_goerli","ethereum_holesky","ethereum_pow","ethereum_ropsten","ethereum_sepolia","fantom","fantom_testnet","filecoin","filecoin_calibration","flare","flare_coston","kava_evm","kava_evm_testnet","klaytn","klaytn_baobab","komodo","litecoin","near","optimism","optimism_goerli","pivx","polkadot","polygon","polygon_mumbai","ripple","solana","solana_devnet","solana_testnet","stellar","tezos","tomo","tomo_testnet","tron","vertcoin","viacoin","westend"],"type":"string"},"currency_family":{"enum":["bitcoin","cardano","cosmos","ethereum","near","polkadot","polygon","ripple","solana","stellar","tezos","tron"],"type":"string"},"failure_reasons":{"allOf":[{"$ref":"#/components/schemas/TransactionFailureReasons"}],"default":null,"description":"Reasons why the transaction failed","nullable":true},"fees":{"default":null,"description":"the transaction fee paid, in base units","nullable":true,"pattern":"^[0-9]*(\\.[0-9]+)?$","type":"string"},"id":{"type":"integer"},"interaction_type":{"default":null,"nullable":true,"type":"string"},"labels":{"description":"labels of this transaction","items":{"$ref":"#/components/schemas/LiteLabel"},"type":"array"},"last_request":{"default":null,"nullable":true,"type":"integer"},"max_fees":{"default":null,"description":"Max fees represent the highest possible fee amount you will pay to broadcast this transaction, in base units. The final fees, calculated once the transaction is approved by the last Operator, might be lower, but will never exceed that amount. See https://help.vault.ledger.com/Content/transactions/tx.html for details","nullable":true,"pattern":"^[0-9]*(\\.[0-9]+)?$","type":"string"},"metadata":{"default":null,"nullable":true,"oneOf":[{"$ref":"#/components/schemas/SolanaTxMetadata"},{"$ref":"#/components/schemas/CardanoTxMetadata"}]},"min_confirmations":{"type":"integer"},"notes":{"items":{"$ref":"#/components/schemas/TransactionNote"},"type":"array"},"recipient":{"default":null,"nullable":true,"type":"string"},"senders":{"default":null,"description":"Only available once the transaction has been submitted to the blockchain","items":{"type":"string"},"nullable":true,"type":"array"},"speed":{"default":null,"enum":[null,"CUSTOM","FAST","NORMAL","SLOW"],"nullable":true,"type":"string"},"status":{"enum":["APPROVED","CONFIRMED","DROPPED","FAILED","FAILED_TO_BROADCAST","FAILED_TO_CRAFT","FAILED_TO_SIGN","PENDING_APPROVAL","PENDING_CREATE_IN_HSM","REJECTED","REPLACED","SIGNED","SUBMITTED"],"type":"string"},"tx_hash":{"default":null,"nullable":true,"type":"string"},"type":{"enum":["ADDPROXY","ANONYMOUSPROXY","BOND","BONDEXTRA","CHILL","CREATE_SPL_TOKEN_ACCOUNT","DELEGATE","DELEGATE_VOTE_TO_DREP","DEPLOY_CONTRACT","EXECUTE_CONTRACT","KILLANONYMOUS","PROXY","REBOND","RECEIVE","RECEIVE_SPL_TOKEN_CHECKED","RECEIVE_SPL_TOKEN_CHECKED_FUNDED","REMOVEPROXY","REVEAL","REWARD","SEND","SEND_SPL_TOKEN_CHECKED","SEND_SPL_TOKEN_CHECKED_FUNDED","SETCONTROLLER","SETPAYEE","STAKE","STAKE_CREATE_DELEGATE","STAKE_DEACTIVATE","STAKE_DELEGATE","STAKE_MERGE","STAKE_SPLIT","STAKE_SPLIT_DEACTIVATE","STAKE_WITHDRAW","STAKING_DELEGATE","STAKING_DEREGISTER","STAKING_REGISTER","STAKING_WITHDRAW","UNBOND","UNDELEGATE","UNKNOWN","WITHDRAWUNBONDED"],"type":"string"},"uid":{"default":null,"nullable":true,"type":"string"}},"required":["account_id","account_index","confirmations","created_by","created_on","currency","currency_family","id","min_confirmations","notes","status","type"],"type":"object"},"Block":{"properties":{"details":{"additionalProperties":{"nullable":true},"default":null,"description":"The block's details","nullable":true,"type":"object"},"hash":{"type":"string"},"height":{"type":"integer"},"time":{"format":"date-time","type":"string"}},"required":["hash","height","time"],"type":"object"},"BitcoinFields":{"properties":{"fees_per_byte":{"default":null,"description":"fees per bytes","nullable":true,"pattern":"^[0-9]*(\\.[0-9]+)?$","type":"string"},"type":{"enum":["Bitcoin"]},"utxo_picking_strategy":{"default":null,"description":"UTXO strategy used for this transaction","enum":[null,"DEEP_OUTPUTS_FIRST","MERGE_OUTPUTS","OPTIMIZE_SIZE"],"nullable":true,"type":"string"}},"required":["type"],"type":"object"},"CardanoCoinFields":{"properties":{"type":{"enum":["Cardano"]}},"required":["type"],"type":"object"},"EthereumAndEvmFieldsLegacy":{"properties":{"contract_deployment":{"allOf":[{"$ref":"#/components/schemas/EthereumContractDeploymentFields"}],"default":null,"nullable":true},"contract_interaction":{"allOf":[{"$ref":"#/components/schemas/EthereumSmartContractFields"}],"default":null,"nullable":true},"gas_limit":{"description":"gas limit in wei","pattern":"^[0-9]*(\\.[0-9]+)?$","type":"string"},"gas_price":{"description":"gas price in wei","pattern":"^[0-9]*(\\.[0-9]+)?$","type":"string"},"type":{"default":"EthereumAndEvm"}},"required":["gas_limit","gas_price"],"type":"object"},"EthereumContractDeploymentFields":{"properties":{"creation_bytecode":{"default":null,"description":"The contract compiled bytecode","nullable":true,"type":"string"}},"type":"object"},"EthereumSmartContractFields":{"properties":{"contract_data":{"description":"The transaction data provided to the smart contract, encoded according to the ABI specification","type":"string"},"contract_name":{"default":null,"description":"The Etherscan name of the smart contract executed","nullable":true,"type":"string"},"dapp":{"default":null,"description":"The name of the Ledger Enterprise DApp","nullable":true,"type":"string"},"function_arguments":{"additionalProperties":{"nullable":true},"default":null,"description":"The JSON object with the arguments for the smart contract function execution, as per the contract's ABI specification.","nullable":true,"type":"object"},"function_name":{"default":null,"description":"The name of the smart contract function executed, as per the contract's ABI specification.","nullable":true,"type":"string"},"smart_contract_interaction_type":{"default":null,"description":"The internal Ledger Enterprise type for the contract interaction","nullable":true,"type":"string"}},"required":["contract_data"],"type":"object"},"PolkadotFields1":{"properties":{"tx_parameters":{"description":"Fields for specific transaction types","oneOf":[{"$ref":"#/components/schemas/PolkadotBondFields"},{"$ref":"#/components/schemas/PolkadotSetControllerFields"},{"$ref":"#/components/schemas/PolkadotSetPayeeFields"},{"$ref":"#/components/schemas/PolkadotAddProxyFields"},{"$ref":"#/components/schemas/PolkadotKillAnonymousFields"},{"$ref":"#/components/schemas/PolkadotAnonymousProxyFields"},{"$ref":"#/components/schemas/PolkadotCommonFields"}]},"type":{"enum":["Polkadot"]}},"required":["tx_parameters","type"],"type":"object"},"PolkadotBondFields":{"properties":{"controller":{"description":"Address of controller account","type":"string"},"is_proxy":{"default":null,"description":"Is the transaction realized via proxy ?","nullable":true,"type":"boolean"},"payee":{"description":"Rewards destination","type":"string"},"real":{"default":null,"description":"In the case of a proxied transaction, address of the proxied account.","nullable":true,"type":"string"},"type":{"default":"Bond"}},"required":["controller","payee"],"type":"object"},"PolkadotSetControllerFields":{"properties":{"controller":{"description":"Address of controller account","type":"string"},"is_proxy":{"default":null,"description":"Is the transaction realized via proxy ?","nullable":true,"type":"boolean"},"real":{"default":null,"description":"In the case of a proxied transaction, address of the proxied account.","nullable":true,"type":"string"},"type":{"default":"SetController"}},"required":["controller"],"type":"object"},"PolkadotSetPayeeFields":{"properties":{"is_proxy":{"default":null,"description":"Is the transaction realized via proxy ?","nullable":true,"type":"boolean"},"payee":{"description":"Rewards destination","type":"string"},"real":{"default":null,"description":"In the case of a proxied transaction, address of the proxied account.","nullable":true,"type":"string"},"type":{"default":"SetPayee"}},"required":["payee"],"type":"object"},"PolkadotAddProxyFields":{"properties":{"is_proxy":{"default":null,"description":"Is the transaction realized via proxy ?","nullable":true,"type":"boolean"},"kind":{"description":"Kind of proxy to add","enum":["Staking"]},"proxy":{"description":"Address of the proxy to add","type":"string"},"real":{"default":null,"description":"In the case of a proxied transaction, address of the proxied account.","nullable":true,"type":"string"},"type":{"default":"AddProxy/RemoveProxy"}},"required":["kind","proxy"],"type":"object"},"PolkadotKillAnonymousFields":{"properties":{"ext_index":{"description":"Extrinsic index of the proxy creation extrinsic","type":"integer"},"height":{"description":"Block height of the proxy creation extrinsic","type":"integer"},"index":{"description":"Disambiguation index of the proxy, usually 0","type":"integer"},"is_proxy":{"default":null,"description":"Is the transaction realized via proxy ?","nullable":true,"type":"boolean"},"kind":{"description":"Type of the proxy to kill","type":"string"},"real":{"default":null,"description":"In the case of a proxied transaction, address of the proxied account.","nullable":true,"type":"string"},"type":{"default":"KillAnonymous"}},"required":["ext_index","height","index","kind"],"type":"object"},"PolkadotAnonymousProxyFields":{"properties":{"anonymousproxy_address":{"default":null,"description":"Address of the proxy created","nullable":true,"type":"string"},"is_proxy":{"default":null,"description":"Is the transaction realized via proxy ?","nullable":true,"type":"boolean"},"kind":{"description":"Type of the proxy to create","type":"string"},"real":{"default":null,"description":"In the case of a proxied transaction, address of the proxied account.","nullable":true,"type":"string"},"type":{"default":"Anonymous"}},"required":["kind"],"type":"object"},"PolkadotCommonFields":{"properties":{"is_proxy":{"default":null,"description":"Is the transaction realized via proxy ?","nullable":true,"type":"boolean"},"real":{"default":null,"description":"In the case of a proxied transaction, address of the proxied account.","nullable":true,"type":"string"}},"type":"object"},"RippleFields":{"properties":{"destination_tag":{"default":null,"description":"ripple destination tag","nullable":true,"type":"integer"},"type":{"enum":["Ripple"]}},"required":["type"],"type":"object"},"SolanaFields":{"properties":{"tx_parameters":{"default":null,"description":"Fields for specific transaction types","nullable":true,"oneOf":[{"$ref":"#/components/schemas/SolanaStakeActionFields"},{"$ref":"#/components/schemas/SolanaStakeMergeFields"},{"$ref":"#/components/schemas/SolanaCreateSPLTokenAccountFields"},{"$ref":"#/components/schemas/SolanaSendSPLTokenFields"}]},"type":{"enum":["Solana"]}},"required":["type"],"type":"object"},"SolanaStakeActionFields":{"properties":{"stake_account":{"description":"The account from which to withdraw","type":"string"}},"required":["stake_account"],"type":"object"},"SolanaStakeMergeFields":{"properties":{"merge_dst_account":{"description":"The account to merge in","type":"string"},"merge_src_account":{"description":"The account to merge","type":"string"}},"required":["merge_dst_account","merge_src_account"],"type":"object"},"SolanaCreateSPLTokenAccountFields":{"properties":{"token_mint":{"description":"The token mint address of the token to create an account for","type":"string"}},"required":["token_mint"],"type":"object"},"SolanaSendSPLTokenFields":{"properties":{"token_mint":{"description":"The token mint address of the token to interact with","type":"string"}},"required":["token_mint"],"type":"object"},"StellarFields":{"properties":{"memo":{"default":null,"description":"A valid stellar memo","nullable":true,"oneOf":[{"$ref":"#/components/schemas/StellarMemoHash"},{"$ref":"#/components/schemas/StellarMemoId"},{"$ref":"#/components/schemas/StellarMemoReturn"},{"$ref":"#/components/schemas/StellarMemoText"}]},"type":{"enum":["Stellar"]}},"required":["type"],"type":"object"},"StellarMemoHash":{"properties":{"MEMO_HASH":{"description":"Transaction Hash Memo (64 bytes hexadecimal string)","type":"string"},"type":{"default":"MEMO_HASH"}},"required":["MEMO_HASH"],"type":"object"},"StellarMemoId":{"properties":{"MEMO_ID":{"description":"Id Memo (unsigned 64 bits integer)","type":"integer"},"type":{"default":"MEMO_ID"}},"required":["MEMO_ID"],"type":"object"},"StellarMemoReturn":{"properties":{"MEMO_RETURN":{"description":"A 64 bytes hexadecimal string intended to be interpreted as the hash of the transaction the sender is refunding.","type":"string"},"type":{"default":"MEMO_RETURN"}},"required":["MEMO_RETURN"],"type":"object"},"StellarMemoText":{"properties":{"MEMO_TEXT":{"description":"Text Memo (at most a 28 bytes string)","type":"string"},"type":{"default":"MEMO_TEXT"}},"required":["MEMO_TEXT"],"type":"object"},"TezosFields1":{"properties":{"gas_limit":{"default":null,"description":"gas limit","nullable":true,"pattern":"^[0-9]*(\\.[0-9]+)?$","type":"string"},"storage_limit":{"default":null,"description":"storage limit","nullable":true,"pattern":"^[0-9]*(\\.[0-9]+)?$","type":"string"},"type":{"enum":["Tezos"]}},"required":["type"],"type":"object"},"EthereumAndEvmFieldsEip1559":{"properties":{"contract_deployment":{"allOf":[{"$ref":"#/components/schemas/EthereumContractDeploymentFields"}],"default":null,"nullable":true},"contract_interaction":{"allOf":[{"$ref":"#/components/schemas/EthereumSmartContractFields"}],"default":null,"nullable":true},"gas_limit":{"description":"gas limit in wei","pattern":"^[0-9]*(\\.[0-9]+)?$","type":"string"},"priority_fees":{"description":"The maximum priority fee per gas for the Ethereum transaction, in the smallest currency unit.","pattern":"^[0-9]*(\\.[0-9]+)?$","type":"string"},"type":{"default":"EthereumAndEvm"}},"required":["gas_limit","priority_fees"],"type":"object"},"DefaultFields":{"properties":{"type":{"type":"string"}},"required":["type"],"type":"object"},"TransactionCompliance":{"properties":{"registration_ids":{"allOf":[{"$ref":"#/components/schemas/ProviderRegistrationIds"}],"description":"Transaction's registration id per compliance provider"},"risk":{"allOf":[{"$ref":"#/components/schemas/TransactionRisk"}],"default":null,"description":"Transaction's risk scoring and details per provider","nullable":true}},"required":["registration_ids"],"type":"object"},"ProviderRegistrationIds":{"properties":{"chainalysis":{"description":"Chainalysis's transaction registration id","type":"string"}},"required":["chainalysis"],"type":"object"},"TransactionRisk":{"properties":{"provider_details":{"allOf":[{"$ref":"#/components/schemas/ProviderTransactionRiskDetails"}],"default":null,"description":"Details from compliance providers","nullable":true},"risk":{"description":"Transaction risk as defined by Ledger","enum":["HIGH","LOW","MEDIUM"]}},"required":["risk"],"type":"object"},"ProviderTransactionRiskDetails":{"properties":{"chainalysis":{"default":null,"description":"Chainalysis's transaction risk scoring and details","items":{"$ref":"#/components/schemas/ChainalysisTransactionAlert"},"nullable":true,"type":"array"}},"type":"object"},"ChainalysisTransactionAlert":{"properties":{"category_id":{"default":null,"description":"The identifier of the entity category the alert rule is tracking","nullable":true,"type":"integer"},"exposure_type":{"description":"Defines the exposure direction as DIRECT or INDIRECT","enum":["DIRECT","INDIRECT"]},"provider_id":{"description":"A unique identifier of the alert","type":"string"},"risk":{"description":"Address risk as defined by Chainalysis","enum":["High","Low","Medium","Severe"]},"service":{"default":null,"description":"The name of the service as defined by Chainalysis","nullable":true,"type":"string"},"value":{"description":"The USD amount that caused the alert to trigger","type":"number"}},"required":["exposure_type","provider_id","risk","value"],"type":"object"},"TransactionFailureReasons":{"properties":{"client_reason":{"type":"string"},"reason":{"type":"string"}},"required":["client_reason","reason"],"type":"object"},"LiteLabel":{"additionalProperties":false,"properties":{"id":{"type":"integer"},"info":{"$ref":"#/components/schemas/LabelInfo"},"name":{"description":"name of the tag","type":"string"}},"required":["id","info","name"],"type":"object"},"LabelInfo":{"properties":{"color":{"description":"label's color","type":"string"},"description":{"description":"label's description","type":"string"}},"required":["color","description"],"type":"object"},"SolanaTxMetadata":{"properties":{"stake_pubkey":{"default":null,"nullable":true,"type":"string"}},"type":"object"},"CardanoTxMetadata":{"properties":{"amount":{"default":null,"nullable":true,"type":"integer"},"change_path":{"default":null,"nullable":true,"type":"string"},"stake_path":{"default":null,"nullable":true,"type":"string"}},"type":"object"},"TransactionNote":{"properties":{"content":{"type":"string"},"title":{"type":"string"}},"required":["content","title"],"type":"object"},"Error":{"properties":{"message":{"type":"string"},"name":{"type":"string"},"status_code":{"type":"integer"}},"required":["message","name","status_code"],"type":"object"}}},"paths":{"/transactions":{"post":{"summary":"Create a transaction","tags":["Transactions"],"description":"Create a transaction.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TransactionCreationDataLAM"}}},"description":"attributes of the transaction to create","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Transaction"}}},"description":"Transaction to approve"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid transaction parameters"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://help.enterprise.ledger.com/api-documentation/reference/api-reference/transactions/create-a-transaction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
